// import React, { useEffect } from "react";
// import {
// 	Button,
// 	Dialog,
// 	DialogActions,
// 	DialogContent,
// 	DialogTitle,
// 	TextField,
// } from "@mui/material";
// import { useForm, Controller } from "react-hook-form";

// interface EditAdminModalProps {
// 	open: boolean;
// 	handleClose: () => void;
// 	handleUpdate: (id: string, name: string, email: string, phone: string, registeredAddress: string) => void;
// 	editRow: any;
// }

// interface FormData {
// 	name: string;
// 	email: string;
// 	phone: string;
// 	registeredAddress: string;
// }

// const EditAdminModal: React.FC<EditAdminModalProps> = ({ open, handleClose, editRow, handleUpdate }) => {
// 	const { control, handleSubmit, setValue, reset, formState: { errors } } = useForm<FormData>({
// 		defaultValues: {
// 			name: "",
// 			email: "",
// 			phone: "",
// 			registeredAddress: "",
// 		},
// 	});

// 	useEffect(() => {
// 		if (editRow) {
// 			setValue("name", editRow.name);
// 			setValue("email", editRow.email);
// 			setValue("phone", editRow.phone);
// 			setValue("registeredAddress", editRow.registeredAddress);
// 		} else {
// 			reset();
// 		}
// 	}, [editRow, setValue, reset]);

// 	const onSubmit = (data: FormData) => {
// 		if (editRow) {
// 			handleUpdate(editRow.id, data.name, data.email, data.phone, data.registeredAddress);
// 			handleClose();
// 			reset();
// 		}
// 	};

// 	return (
// 		<Dialog
// 			open={open}
// 			onClose={handleClose}
// 			maxWidth="md"
// 			fullWidth
// 			PaperProps={{
// 				component: "form",
// 				onSubmit: handleSubmit(onSubmit),
// 			}}
// 		>
// 			<DialogTitle>Edit Admin</DialogTitle>
// 			<DialogContent>
// 				<Controller
// 					name="name"
// 					control={control}
// 					rules={{ required: "Admin Name is required" }}
// 					render={({ field }) => (
// 						<TextField
// 							{...field}
// 							autoFocus
// 							required
// 							margin="dense"
// 							label="Admin Name"
// 							type="text"
// 							fullWidth
// 							variant="standard"
// 							error={!!errors.name}
// 							helperText={errors.name?.message}
// 						/>
// 					)}
// 				/>

// 				<Controller
// 					name="email"
// 					control={control}
// 					rules={{ required: "Email is required" }}
// 					render={({ field }) => (
// 						<TextField
// 							{...field}
// 							required
// 							margin="dense"
// 							label="Email"
// 							type="text"
// 							fullWidth
// 							variant="standard"
// 							error={!!errors.email}
// 							helperText={errors.email?.message}
// 						/>
// 					)}
// 				/>

// 				<Controller
// 					name="phone"
// 					control={control}
// 					rules={{ required: "Phone number is required" }}
// 					render={({ field }) => (
// 						<TextField
// 							{...field}
// 							required
// 							margin="dense"
// 							label="Phone Number"
// 							type="text"
// 							fullWidth
// 							variant="standard"
// 							error={!!errors.phone}
// 							helperText={errors.phone?.message}
// 						/>
// 					)}
// 				/>

// 				<Controller
// 					name="registeredAddress"
// 					control={control}
// 					rules={{ required: "Address is required" }}
// 					render={({ field }) => (
// 						<TextField
// 							{...field}
// 							required
// 							margin="dense"
// 							label="Address"
// 							type="text"
// 							fullWidth
// 							variant="standard"
// 							error={!!errors.registeredAddress}
// 							helperText={errors.registeredAddress?.message}
// 						/>
// 					)}
// 				/>
// 			</DialogContent>
// 			<DialogActions>
// 				<Button onClick={handleClose}>Cancel</Button>
// 				<Button type="submit">Save</Button>
// 			</DialogActions>
// 		</Dialog>
// 	);
// };

// export default EditAdminModal;
